package com.adealink.weparty.account.login.phone.data

import com.google.gson.annotations.SerializedName

enum class Page {
    INPUT_PHONE,
    VERIFY
}


data class SendPhoneVerifyReq(
    @SerializedName("code") val code: String,
    @SerializedName("num") val num: String,
)

data class PhoneLoginReq(
    @SerializedName("mobile") val mobile: MobileData,
    @SerializedName("code") val verifyCode: String,
)

data class MobileData(
    @SerializedName("code") val code: String,
    @SerializedName("num") val num: String,
)